View Data
Query data from a specific view with date filtering
curl -X GET "https://api.nexus.usehardal.com/analytics/views/John Doe/data?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=100&offset=0" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.nexus.usehardal.com/analytics/views/John Doe/data?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=100&offset=0"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.nexus.usehardal.com/analytics/views/John Doe/data?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=100&offset=0", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.nexus.usehardal.com/analytics/views/John Doe/data?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=100&offset=0", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.nexus.usehardal.com/analytics/views/John Doe/data?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=100&offset=0')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"data": [
{
"event_id": "06ebd57c-c898-4266-bd67-b55558f192b1",
"session_id": "sess_f346ae641883_2",
"created_at": "2026-06-30 14:23:13",
"event_name": "identify",
"url": "https://demo.usehardal.com/products/electronics?utm_source=google&utm_medium=cpc&utm_campaign=22998822939",
"referrer_domain": "youtube.com",
"hostname": "demo.usehardal.com",
"browser": "Chrome",
"os": "Android",
"device": "mobile",
"country": "Sweden",
"source": "google",
"medium": "cpc",
"campaign": "20455322391",
"channel": "PaidSearch"
},
{
"event_id": "2d0a3b7b-602e-4581-b1ff-6c30cb981998",
"session_id": "sess_f346ae641883_2",
"created_at": "2026-06-30 14:23:13",
"event_name": "page_view",
"url": "https://demo.usehardal.com/products/electronics?utm_source=google&utm_medium=cpc&utm_campaign=22998822939",
"referrer_domain": "youtube.com",
"hostname": "demo.usehardal.com",
"browser": "Chrome",
"os": "Android",
"device": "mobile",
"country": "Sweden",
"source": "google",
"medium": "cpc",
"campaign": "20455322391",
"channel": "PaidSearch"
},
{
"event_id": "a0d12bed-1e8b-4c0b-b982-5b268897ccb6",
"session_id": "sess_838cdc7f39f0_3",
"created_at": "2026-06-30 14:23:13",
"event_name": "page_view",
"url": "https://demo.usehardal.com/products/apparel?utm_source=sm&utm_medium=genel&utm_campaign=Conversion_All_Remarketing",
"referrer_domain": "google.com",
"hostname": "demo.usehardal.com",
"browser": "Safari",
"os": "iOS",
"device": "mobile",
"country": "Germany",
"source": "google",
"medium": "organic",
"campaign": "",
"channel": "OrganicSearch"
}
],
"limit": 100,
"offset": 0
},
"timestamp": "2026-06-30T12:19:10.000Z",
"path": "/analytics/views/events/data"
}
/analytics/views/{name}/dataTarget server for requests. Edit to use your own host.
API key (sent in header)
View name
Required preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Timezone for date filtering (default: Europe/Istanbul)
Limit number of rows returned
Offset for pagination
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
View name
Query Parameters
Required preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.
todayyesterdaylast7dayslast30dayscustomStart date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Timezone for date filtering (default: Europe/Istanbul)
Limit number of rows returned
Offset for pagination
Responses
Successful response.